// ----------------------------------------------------------------------------
// Result2.java
// the (intermediate) result of analyzing the grades of an exam
// 
// Author:  Wolfgang Schreiner <Wolfgang.Schreiner@fhs-hagenberg.ac.at>
// Created: August 24, 2001
// ----------------------------------------------------------------------------
public class Result2
{
  public int count = 0;               // number of grades
  public int sum = 0;                 // sum of grades processed so far
  public int min = Integer.MAX_VALUE; // minimum grade processed so far
  public int max = Integer.MIN_VALUE; // maximum grade processed so far

  // --------------------------------------------------------------------------
  // returns the number of grades processed so far
  // --------------------------------------------------------------------------
  public int getCount()
  {
    return count;
  }

  // --------------------------------------------------------------------------
  // process a grade and incorporate it into the result
  // --------------------------------------------------------------------------
  public void process(int grade)
  {
    count++;
    sum += grade;
    if (grade < min) min = grade;
    if (grade > max) max = grade;
  }

  // --------------------------------------------------------------------------
  // print the result
  // --------------------------------------------------------------------------
  public void print()
  {
    System.out.println("\back{}nNumber of grades: " + count);

    // these values are only valid, if there was at least one grade 
    if (count > 0)
    {
      System.out.println("Best grade: " + min);
      System.out.println("Worst grade: " + max);
      System.out.println("Average grade: " + (float)sum/(float)count);
    }

    System.out.println("");
   }
}
